Subject: [BEEPwg] Streaming data

From: Doug Ransom <[email-masked]>
Date: Wed, 20 Mar 2002 12:37:35 -0800

When sending some data in beep, does the size of the data need to be known
ahead of time?  There may be cases where I would like to stream bytes as the
information is generated to reduce the memory requirements of the sender.   
 
Doug Ransom 
Internet Technologies Domain Lead 
Power Measurement http://www.pwrm.com <http://www.pwrm.com/>  
mailto:[email-masked] <mailto:[email-masked]>  

MSN Messenger [email-masked]

---

From: james woodyatt <[email-masked]>
Date: Wed, 20 Mar 2002 13:26:28 -0800

On Wednesday, March 20, 2002, at 12:37 PM, Doug Ransom wrote:

> When sending some data in beep, does the size of the data need to be 
> known ahead of time?  There may be cases where I would like to stream 
> bytes as the information is generated to reduce the memory requirements 
> of the sender.  

No.  Unless the Content-Length MIME header is used, the receiving peer 
has no indication of the size of a BEEP message until the last frame of 
it arrives.

--
j h woodyatt <[email-masked]>

---

From: Daniel Lundin <[email-masked]>
Date: 20 Mar 2002 22:27:44 +0100

Doug Ransom <[email-masked]> writes:

> When sending some data in beep, does the size of the data need to be known ahead of time? 

No, that is not necessary. 

A single message can consist of multiple frames, where only the payload size
of the current frame being sent has to be known and wether there are more
frames following. Both are specified in the frame header. 

Section 2.2 of RFC 3080 describes the message and frame syntax more clearly,
and more specifically, Section 2.2.1(.1) describes the frame header.

-- 
Daniel Lundin  | [email-masked]
CodeFactory AB | http://www.codefactory.se/
_______________________________________________
BEEPwg mailing list
[email-masked]
http://lists.beepcore.org/mailman/listinfo/beepwg

---

From: Jered Floyd <[email-masked]>
Date: 20 Mar 2002 16:28:39 -0500

> information is generated to reduce the memory requirements of the sender.   

The size of a frame needs to be known before that frame may be sent
(and if more data is to follow), but the size of a full message need
not be known in advance.

--Jered